using Edu.Model.Entity.Course;
using Edu.Model.ViewModel.Course;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Edu.Repository.Course
{
    public class RB_Class_Time_UnKnowRepository : BaseRepository<RB_Class_Time_UnKnowUser>
    {
        /// <summary>
        /// 跟进课时编号查询非法用户
        /// </summary>
        /// <param name="classId"></param>
        /// <returns></returns>
        public List<RB_Class_Time_UnKnowUser_ViewModel> GetUnKnowUsersByClassIdRepository(int classId)
        {
            StringBuilder sql = new StringBuilder();
            sql.Append("select * from RB_Class_Time_UnKnowUser where ");
            sql.AppendFormat("{0}={1}",nameof(RB_Class_Time_UnKnowUser_ViewModel.ClassTimeId),classId);
            return Get<RB_Class_Time_UnKnowUser_ViewModel>(sql.ToString()).ToList();
        }
    }
}
